V2EX 首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Node.js
Express
PPA for Ubuntu
ppa:chris-lea/node.js
V2EX  ›  Node.js

Electron 环境下装了 Sqlite3 后,每次再装新的包都提示 Sqlite3 找不到模块,要重新编译 Sqlite3 才行

  •  
  •   a251922581 · 63 天前 · 484 次点击
    这是一个创建于 63 天前的主题,其中的信息可能已经有所发展或是发生改变。
    Electron 下,用了 Sqlite3,从此每次安装了新的包打开 Electron 都提示 Cannot find module..... node_sqlite3.node
    用./node_modules/.bin/electron-rebuild -w sqlite3 -p 重新编译才行。。
    编译起来比较费事啊,每次编译都要至少一分多钟。。
    另外问一句为什么 Electron 要重新编译模块呢?难道 Sqlite3 模块是 C 语言写的?
    2 回复  |  直到 2017-10-13 17:38:14 +08:00
        1
    oott123   63 天前 via Android
    是啊,sqlite3 是个原生模块。
        2
    lrh3321   62 天前
    是啊,所以我放弃使用 sqlite3,改用 nedb 了
    DigitalOcean
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   鸣谢   ·   573 人在线   最高记录 3541   ·  
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.0 · 57ms · UTC 22:37 · PVG 06:37 · LAX 14:37 · JFK 17:37
    ♥ Do have faith in what you're doing.
    沪ICP备16043287号-1